POST
/roadmaps/{roadmapId}/columnsCreate a roadmap column
Parameters
| Name | In | Type | Description |
|---|---|---|---|
roadmapIdrequired | path | string |
Request body
| Field | Type | Description |
|---|---|---|
statusIdrequired | string | TypeID - a type-prefixed UUID |
namerequired | string | |
iconrequired | stringnull | |
colorrequired | string | |
positionrequired | number |
Response
Roadmap column created
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
roadmapIdrequired | string | TypeID - a type-prefixed UUID |
statusIdrequired | string | TypeID - a type-prefixed UUID |
namerequired | string | |
iconrequired | stringnull | |
colorrequired | string | |
positionrequired | number |
Errors
400Validation error401Unauthorized404Roadmap not foundExample request
curl \
-X POST \
"https://feedback.quackback.io/api/v1/roadmaps/:roadmapId/columns" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"statusId": "post_01h455vb4pex5vsknk084sn02q",
"name": "example_name",
"color": "example_color",
"position": 0
}'